package com.yidian.shenghuoquan.bdemo.app

import com.yidian.bcommon.app.YdBaseApplication
import com.yidian.bcommon.services.ZapServiceNameConstants
import com.yidian.news.util.ProcessUtil
import com.yidian.shenghuoquan.bdemo.service.ClientInfoService
import com.yidian.yac.core.core.YacModuleSpec
import com.yidian.yac.core.zap.Zap

@YacModuleSpec
class BDemoApplication : YdBaseApplication() {

  override fun onCreate() {
    super.onCreate()
    if (ProcessUtil.isMainProcess(this)) {
      initService()
    }
  }

  private fun initService() {
    Zap.addService(ZapServiceNameConstants.ClientInfoService, ClientInfoService())
  }

}
